Bug 29084 - dhcpcd completely confused by unknown options sent by dhcpd
dhcpcd completely confused by unknown options sent by dhcpd
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2001-02-23 11:07 EST by Per Steinar Iversen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-28 12:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2001-02-23 11:07:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18 i686)

When the dhcp server returns certain unknows options (these support
Etherboot, see http://etherboot.sourceforge.net/ ) then dhcpcd becomes
confused and is not able to get a lease. A packet trace shows that dhcpcd 
becomes extremely confused, sending very strange packets to dhcpd. Traces
are available.

Reproducible: Always
Steps to Reproduce:
1. set dhcpd to emit the DHCP codes used by etherboot: 128, 129,  160,
184-189 and 192-195 in our case
2. dhcpcd does not work on Wolverine (and earlier releases)
3. remove the DHCP options above and dhcpcd works ok

Actual Results:  No DHCP lease obtained by client

Expected Results:  A DHCP lease should have been obtained

No other client on our network (about 2000 nodes)  display this problem,
only impacts RedHat linux. It may be possible to work around this problem
using the vendor-id so that RedHat clients do not see these options though.
Comment 1 Per Steinar Iversen 2001-02-24 09:39:10 EST
Sorry - it is pump that misbehaves, actually dhcpcd works fine. Pump though is
broken as described, it can not handle unknown dhcp options.
Comment 2 Elliot Lee 2001-08-26 17:43:10 EDT
Sorry for the unresponsiveness of the previous pump packager...

dhcpcd replaces pump for the main system usage in Rawhide, while pump is still
used in the installer. Does this bug matter at install time, or is it safe to
consider it resolved?
Comment 3 Per Steinar Iversen 2001-08-27 02:23:34 EDT
It will also crash pump during install. That is why I use a static address when installing over the network. Pump is not able to handle unknown DHCP options under any circumstances.

Note You need to log in before you can comment on or make changes to this bug.